Subject: [netmod] AD review: draft-ietf-netmod-syslog-model-17

From: Benoit Claise <[email-masked]>
Date: Tue, 12 Sep 2017 14:23:00 +0200

Dear all,

I understand that draft-ietf-netmod-syslog-model should be on my plate 
very soon (waiting for the WriteUp)
In order to speed up the process, here is my AD review.

- metadata: 
https://www.yangcatalog.org/yang-search/module_details.php?module=ietf-syslog
     compilation status: passed
     (Note: Henrik is currently investigating why 
https://datatracker.ietf.org/doc/draft-ietf-netmod-syslog-model/# 
reports an error
     tree-type: nmda-compatible.
Note: metadata is a brand new tool under yangcatalog.org

-  Impact Analysis: 
https://www.yangcatalog.org/yang-search/impact_analysis.php?modules[]=ietf-syslog
 From the impact analysis tool (this comes from the import statements), 
I see that this draft depends on:
draft-ietf-netconf-keystore-02.txt 
<http://datatracker.ietf.org/doc/draft-ietf-netconf-keystore>
draft-ietf-netconf-tls-client-server-03.txt 
<http://datatracker.ietf.org/doc/draft-ietf-netconf-tls-client-server>
         and RFC7223 or RFC7223bis
         RFC 6691
Those drafts should be in normative reference section.

- Change the copyright date

   Copyright (c) 2016 IETF Trust

-
Should this type of identity ...
   identity kern {
       base syslog-facility;
       description
         "The facility for kernel messages (0) as defined inRFC 5424 <https://tools.ietf.org/html/rfc5424>.";
       }

... be
   identity kern {
       base syslog-facility;
       description
         "The facility for kernel messages (0)";
       reference
	"RFC 5424 <https://tools.ietf.org/html/rfc5424>: The Syslog Protocol";
       }

- Actually, I searched for RFC in the description: there are multiple instances that would benefit from the "reference"
Ex:
	feature structured-data,
	feature signed-messages,	
	typedef syslog-severity,

- Regarding the Security Considerations section, please follow exactly 
the template at 
https://trac.ietf.org/trac/ops/wiki/yang-security-guidelines and 
populate the <list subtrees and data nodes and state why they are 
sensitive> content.

- In terms of YANG doctor review 
<https://datatracker.ietf.org/doc/draft-ietf-netmod-syslog-model/reviewrequest/8317/>, 
Kent, who is also the doc. shepherd, will review it.

Regards, Benoit

---

From: Kent Watsen <[email-masked]>
Date: Tue, 12 Sep 2017 13:54:08 +0000

> I understand that draft-ietf-netmod-syslog-model should be on my plate very soon (waiting for the WriteUp)

Yep, this one's on me - I'm looking into it today.

> In terms of YANG doctor review<https://datatracker.ietf.org/doc/draft-ietf-netmod-syslog-model/reviewrequest/8317/>, Kent, who is also the doc. shepherd, will review it.

This one I already did.  https://mailarchive.ietf.org/arch/msg/netmod/10lo41Ud4A3ZN11s-0gOfCe8NSE.  I just never entered it into the YD tool.  I'll do it retroactively now…

K.